Bug 114223 - Remove unneeded headers from FrameLoader.h
Summary: Remove unneeded headers from FrameLoader.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-08 16:57 PDT by Anders Carlsson
Modified: 2013-04-10 18:08 PDT (History)
21 users (show)

See Also:


Attachments
Patch (22.11 KB, patch)
2013-04-08 17:01 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (23.08 KB, patch)
2013-04-08 17:09 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (23.86 KB, patch)
2013-04-08 17:20 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (25.54 KB, patch)
2013-04-10 11:05 PDT, Anders Carlsson
ggaren: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2013-04-08 16:57:53 PDT
Remove unneeded headers from FrameLoader.h
Comment 1 Anders Carlsson 2013-04-08 17:01:13 PDT
Created attachment 196971 [details]
Patch
Comment 2 Geoffrey Garen 2013-04-08 17:02:36 PDT
Comment on attachment 196971 [details]
Patch

r=me if it builds
Comment 3 Anders Carlsson 2013-04-08 17:09:43 PDT
Created attachment 196972 [details]
Patch
Comment 4 Anders Carlsson 2013-04-08 17:20:11 PDT
Created attachment 196974 [details]
Patch
Comment 5 Early Warning System Bot 2013-04-08 17:51:36 PDT
Comment on attachment 196974 [details]
Patch

Attachment 196974 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17674001
Comment 6 EFL EWS Bot 2013-04-08 18:15:43 PDT
Comment on attachment 196974 [details]
Patch

Attachment 196974 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17672008
Comment 7 Build Bot 2013-04-08 18:28:55 PDT
Comment on attachment 196974 [details]
Patch

Attachment 196974 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-commit-queue.appspot.com/results/17650014
Comment 8 Build Bot 2013-04-08 18:41:15 PDT
Comment on attachment 196974 [details]
Patch

Attachment 196974 [details] did not pass mac-ews (mac):
Output: http://webkit-commit-queue.appspot.com/results/17673003
Comment 9 Build Bot 2013-04-08 19:46:50 PDT
Comment on attachment 196974 [details]
Patch

Attachment 196974 [details] did not pass mac-ews (mac):
Output: http://webkit-commit-queue.appspot.com/results/17687006
Comment 10 Geoffrey Garen 2013-04-09 21:52:18 PDT
/Volumes/Data/EWS/WebKit/Source/WebKit2/NetworkProcess/mac/RemoteNetworkingContext.mm:123:39: error: implicit instantiation of undefined template 'WTF::PassOwnPtr<WebCore::NetworkStorageSession>'
    privateBrowsingStorageSession() = NetworkStorageSession::createPrivateBrowsingSession(privateBrowsingStorageSessionIdentifierBase());
                                      ^
/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/wtf/Forward.h:33:32: note: template is declared here
    template<typename T> class PassOwnPtr;
                               ^
Comment 11 Anders Carlsson 2013-04-10 11:05:54 PDT
Created attachment 197315 [details]
Patch
Comment 12 Geoffrey Garen 2013-04-10 11:43:49 PDT
Comment on attachment 197315 [details]
Patch

r=me
Comment 13 Anders Carlsson 2013-04-10 12:09:50 PDT
Committed r148123: <http://trac.webkit.org/changeset/148123>
Comment 14 Csaba Osztrogonác 2013-04-10 14:13:45 PDT
(In reply to comment #13)
> Committed r148123: <http://trac.webkit.org/changeset/148123>

It broke the Qt minimal build:
-------------------------------
In file included from /ramdisk/qt-linux-release-minimal/build/Source/WebCore/inspector/InspectorCanvasInstrumentation.h:35:0,
                 from /ramdisk/qt-linux-release-minimal/build/Source/WebCore/bindings/js/JSHTMLCanvasElementCustom.cpp:32:
/ramdisk/qt-linux-release-minimal/build/Source/WebCore/inspector/InspectorInstrumentation.h:206:141: error: 'HTTPHeaderMap' does not name a type
/ramdisk/qt-linux-release-minimal/build/Source/WebCore/inspector/InspectorInstrumentation.h:206:154: error: ISO C++ forbids declaration of 'parameter' with no type [-fpermissive]

fix landed in http://trac.webkit.org/changeset/148133


And it broke the Qt Debug build:
---------------------------------
/home/webkitbuildbot/slaves/debug64bit/buildslave/qt-linux-64-debug/build/Source/WebCore/platform/graphics/filters/CustomFilterMeshGenerator.cpp: In member function 'void WebCore::CustomFilterMeshGenerator::dumpBuffers() const':
/home/webkitbuildbot/slaves/debug64bit/buildslave/qt-linux-64-debug/build/Source/WebCore/platform/graphics/filters/CustomFilterMeshGenerator.cpp:156:67: error: 'printf' was not declared in this scope

fix landed in http://trac.webkit.org/changeset/148138
Comment 15 Roger Fong 2013-04-10 16:22:46 PDT
This change broke DumpRenderTree on Windows (makes it crash 100%)

Crashes on writing to m_refCount at m_refCount+=s_refCountIncrement

Stack trace here: >	WebKit.dll!WTF::StringImpl::ref()  Line 587 + 0xb bytes	C++
 	WebKit.dll!WTF::refIfNotNull<WTF::StringImpl>(WTF::StringImpl * ptr=0x64284fa8)  Line 48	C++
 	WebKit.dll!WTF::RefPtr<WTF::StringImpl>::operator=(const WTF::RefPtr<WTF::StringImpl> & o=0x64284fa8 const WebFrame::`vftable'{for `WebFrameLoaderClient'} {???})  Line 104 + 0x9 bytes	C++
 	WebKit.dll!WTF::String::operator=(const WTF::String & __that={???})  + 0x1a bytes	C++
 	WebKit.dll!WebCore::KURL::operator=(const WebCore::KURL & __that={???})  + 0x1a bytes	C++
 	WebKit.dll!WebCore::ResourceRequestBase::operator=(const WebCore::ResourceRequestBase & __that={...})  + 0x1a bytes	C++
 	WebKit.dll!WebCore::ResourceRequest::operator=(const WebCore::ResourceRequest & __that={...})  + 0x1a bytes	C++
 	WebKit.dll!WebMutableURLRequest::createInstance(const WebCore::ResourceRequest & request={...})  Line 80	C++
 	WebKit.dll!WebFrame::dispatchDecidePolicyForNavigationAction(void (WebCore::PolicyAction)* function=0x638e5280, const WebCore::NavigationAction & action={...}, const WebCore::ResourceRequest & request={...}, WTF::PassRefPtr<WebCore::FormState> formState={...})  Line 1775 + 0x9 bytes	C++
 	WebKit.dll!WebCore::PolicyChecker::checkNavigationPolicy(const WebCore::ResourceRequest & request={...}, WebCore::DocumentLoader * loader=0x01e300a0, WTF::PassRefPtr<WebCore::FormState> formState={...}, void (void *, const WebCore::ResourceRequest &, WTF::PassRefPtr<WebCore::FormState>, bool)* function=0x62cc41f0, void * argument=0x01d75090)  Line 100	C++
 	WebKit.dll!WebCore::FrameLoader::loadWithDocumentLoader(WebCore::DocumentLoader * loader=0x01e300a0, WebCore::FrameLoadType type=FrameLoadTypeStandard, WTF::PassRefPtr<WebCore::FormState> prpFormState={...})  Line 1398	C++
 	WebKit.dll!WebCore::FrameLoader::load(WebCore::DocumentLoader * newDocumentLoader=0x01e300a0)  Line 1338	C++
 	WebKit.dll!WebCore::FrameLoader::load(const WebCore::FrameLoadRequest & passedRequest={...})  Line 1288	C++
 	WebKit.dll!WebFrame::loadRequest(IWebURLRequest * request=0x01e2fdd8)  Line 560 + 0x3b bytes	C++
 	DumpRenderTree.dll!runTest(const std::basic_string<char,std::char_traits<char>,std::allocator<char> > & inputLine="C:\cygwin\home\buildbot\WebKit\OpenSource\LayoutTests\css3\filters\composited-layer-bounds-after-sw-blur-animation.html")  Line 1031 + 0x21 bytes	C++
 	DumpRenderTree.dll!dllLauncherEntryPoint(int argc=2, const char * * argv=0x00171e78)  Line 1428 + 0x33 bytes	C++
 	DumpRenderTree.exe!main(int argc=2, const char * * argv=0x00171e78)  Line 206 + 0x10 bytes	C++
 	DumpRenderTree.exe!__tmainCRTStartup()  Line 597 + 0x17 bytes	C
Comment 16 Anders Carlsson 2013-04-10 16:25:48 PDT
Can you try a clean build?
Comment 17 Roger Fong 2013-04-10 18:08:10 PDT
(In reply to comment #16)
> Can you try a clean build?

Same problem :/